# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.757.12.11+1.757.29.24 -> 1.757.12.12
#	            Makefile	1.190.1.8 -> 1.203  
#	arch/ia64/kernel/perfmon.c	1.7.1.5 -> 1.12   
#	arch/ia64/kernel/ia64_ksyms.c	1.6.1.4 -> 1.10   
#	arch/ia64/kernel/signal.c	1.7.1.2 -> 1.10   
#	arch/ia64/ia32/sys_ia32.c	1.9.1.3 -> 1.12   
#	arch/ia64/hp/common/sba_iommu.c	1.1.1.6 -> 1.7    
#
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Wed Oct  8 09:08:13 2003
+++ b/Makefile	Wed Oct  8 09:08:13 2003
@@ -90,6 +90,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -300,8 +301,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
